import $ from 'jquery';

import Button from './Element/Button';
import NumberElement from './Element/Number';
import Select from './Element/Select';

const init = () => {
    /**
     * Inicijalizira sve elemente na stranici.
     *
     * @returns {parse}
     */
    function parse()
    {
        $('select').each(function(i, el) {
            if (el.ep === undefined) {
                el.ep = new Select(el);
            }
        });

        $('button, input[type="button"], input[type="reset"], input[type="submit"]').each(function(i, el) {
            if (el.ep === undefined) {
                el.ep = new Button(el);
            }
        });

        $('input[type="number"]').each(function(i, el) {
            if (el.ep === undefined) {
                el.ep = new NumberElement(el);
            }
        });

        return parse;
    }

    parse();
    $(document.body).on('DOMNodeInserted', parse);
};

export default init;
