<?php
namespace Ep\Form\View\Helper;

use Laminas\Form\ElementInterface;

/**
 * Renderira <input> element.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormInput extends \Laminas\Form\View\Helper\FormInput
{
    /**
     * @param ElementInterface $element
     *
     * @return string
     */
    public function render(ElementInterface $element): string
    {
        $classes = explode(' ', $element->getAttribute('class'));

        if (!in_array('form-control', $classes)) {
            $classes[] = 'form-control';
        }

        if (count($element->getMessages()) > 0 && !in_array('form-control-danger', $classes)) {
            $classes[] = 'form-control-danger';
        }

        $element->setAttribute('class', implode(' ', $classes));

        return parent::render($element);
    }
}
