<?php
namespace EpTest\Http;

use GuzzleHttp\Exception\GuzzleException;
use GuzzleHttp\Psr7\Response;
use PHPUnit\Framework\TestCase;

/**
 * Class ClientTest
 *
 * @package EpTest\Http
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
final class ClientTest extends TestCase
{
    use ClientAwareTrait;

    public function testValidatorsWillBeSkippedWhenExceptionIsThrownByTheClient()
    {
        $client = $this->createClient([
            new Response(400),
        ], [
            'http_errors' => true,
            'validators' => ['http.json_response'],
        ]);

        self::expectException(GuzzleException::class);
        /** @noinspection PhpUnhandledExceptionInspection */
        $client->request('GET', '');
    }
}